QGIS Application - Feature request #1400
PostgreSQL connection requires password access method
2008-11-13 12:40 PM - tkeitt -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 11460
Description

It is currently necessary to setup postgresgl databases to have password access in order to access them via QGIS. It makes much more
sense to ignore the password field if the user does not provide one. There is nothing in libpq that requires you to provide a password. If
you drop that field from the conninfo string, you will be able to connect without a password (as long as the database is setup in trust
mode).

Associated revisions

Revision 8d36542e - 2008-12-13 02:28 AM - Jiirgen Fischer

postgis table selection dialog:

- only ask for a password, when postgis needs one (fixes #1400)

- don't complain about 'no accessible geometry tables', before checking for
tables not listed in geometry_columns (fixes #1455)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9778 c8812cc2-4d05-0410-92ff-de0c093fc19¢

Revision 7033291 - 2008-12-13 02:28 AM - Jiirgen Fischer

postgis table selection dialog:
- only ask for a password, when postgis needs one (fixes #1400)
- don't complain about 'no accessible geometry tables', before checking for

tables not listed in geometry_columns (fixes #1455)

git-svn-id: http://svn.osgeo.org/qgis/trunk@9778 c8812cc2-4d05-0410-92ff-de0c093fc19¢c

History

#1 - 2008-12-12 05:28 PM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

fixed in commit:70f33291 (SVN r9779)

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
